Search or ask Docker

Inspect an image

GET /images/{name}/json — Docker Engine API 1.57.

View Markdown
GET/images/{name}/json
Return low-level information about an image.

Connection and access

API connection and authentication guidance

/v1.57

No HTTP authentication requirement is declared for this operation. Transport access controls can still apply.

Parameters

name path Required

Image name or id

Type: string

All schema constraints and annotations
{
  "type": "string"
}

manifests query

Include Manifests in the image summary.

The manifests and platform options are mutually exclusive, and an error is produced if both are set.

Type: boolean

All schema constraints and annotations
{
  "default": false,
  "type": "boolean"
}

platform query

JSON-encoded OCI platform to select the platform-variant. If omitted, it defaults to any locally available platform, prioritizing the daemon's host platform.

If the daemon provides a multi-platform image store, this selects the platform-variant to show inspect. If the image is a single-platform image, or if the multi-platform image does not provide a variant matching the given platform, an error is returned.

The platform and manifests options are mutually exclusive, and an error is produced if both are set.

Example: {"os": "linux", "architecture": "arm", "variant": "v5"}

Type: string

All schema constraints and annotations
{
  "type": "string"
}

Request and responses

Response 200

No error

application/json

Schema: ImageInspect

Response 404

No such image

application/json

Schema: ErrorResponse

Example

{
  "message": "No such image: someimage (tag: latest)"
}

Response 500

Server error

application/json

Schema: ErrorResponse

Schema example

{
  "message": "Something went wrong."
}

Referenced schemas

#/components/schemas/ErrorResponse

#/components/schemas/ImageInspect

Complete operation contract
{
  "description": "Return low-level information about an image.",
  "operationId": "ImageInspect",
  "parameters": [
    {
      "description": "Image name or id",
      "in": "path",
      "name": "name",
      "required": true,
      "schema": {
        "type": "string"
      }
    },
    {
      "description": "Include Manifests in the image summary.\n\nThe `manifests` and `platform` options are mutually exclusive, and\nan error is produced if both are set.",
      "in": "query",
      "name": "manifests",
      "required": false,
      "schema": {
        "default": false,
        "type": "boolean"
      }
    },
    {
      "description": "JSON-encoded OCI platform to select the platform-variant.\nIf omitted, it defaults to any locally available platform,\nprioritizing the daemon's host platform.\n\nIf the daemon provides a multi-platform image store, this selects\nthe platform-variant to show inspect. If the image is\na single-platform image, or if the multi-platform image does not\nprovide a variant matching the given platform, an error is returned.\n\nThe `platform` and `manifests` options are mutually exclusive, and\nan error is produced if both are set.\n\nExample: `{\"os\": \"linux\", \"architecture\": \"arm\", \"variant\": \"v5\"}`",
      "in": "query",
      "name": "platform",
      "schema": {
        "type": "string"
      }
    }
  ],
  "responses": {
    "200": {
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/ImageInspect"
          }
        }
      },
      "description": "No error"
    },
    "404": {
      "content": {
        "application/json": {
          "example": {
            "message": "No such image: someimage (tag: latest)"
          },
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      },
      "description": "No such image"
    },
    "500": {
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      },
      "description": "Server error"
    }
  },
  "summary": "Inspect an image",
  "tags": [
    "Image"
  ]
}